Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Interface UserManagerConstants

Deprecated no longer needed since 8.1

    public interface UserManagerConstants

Constants to identify "special" roles and groups used in the personalization server's user management system.

Field Summary
`static String` | `ADMIN_ELIGIBLE_USERGROUP_NAME` Deprecated no longer used since 8.1
`static String` | `DELEGATED_ADMIN_USERGROUP_NAME` Deprecated replaced with PortalSystemDelegator Role since 8.1
`static String` | `EVERYONE_USERGROUP_NAME` Deprecated use weblogic.security.WLSPrincipals.getEveryoneGroupname()
`static String` | `SYSTEM_ADMIN_USERGROUP_NAME` Deprecated replaced with PortalSystemAdministrator Role since 8.1
`static String` | `WLS_ADMINISTRATOR_USERGROUP_NAME` Deprecated use weblogic.security.WLSPrincipals.getAdministratorsGroupname();

Field Detail

### SYSTEM_ADMIN_USERGROUP_NAME

    static final String SYSTEM_ADMIN_USERGROUP_NAME

  Deprecated replaced with PortalSystemAdministrator Role since 8.1
  See Also
    Constants Summary

### DELEGATED_ADMIN_USERGROUP_NAME

    static final String DELEGATED_ADMIN_USERGROUP_NAME

  Deprecated replaced with PortalSystemDelegator Role since 8.1
  See Also
    Constants Summary

### ADMIN_ELIGIBLE_USERGROUP_NAME

    static final String ADMIN_ELIGIBLE_USERGROUP_NAME

  Deprecated no longer used since 8.1
  See Also
    Constants Summary

### WLS_ADMINISTRATOR_USERGROUP_NAME

    static final String WLS_ADMINISTRATOR_USERGROUP_NAME

  Deprecated use weblogic.security.WLSPrincipals.getAdministratorsGroupname();

### EVERYONE_USERGROUP_NAME

    static final String EVERYONE_USERGROUP_NAME

  Deprecated use weblogic.security.WLSPrincipals.getEveryoneGroupname()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.